Subject: Re: [bitcoindev] Re: Workshops and Activation for CHECKTEMPLATEVERIFY and CHECKSIGFROMSTACK

From: Antoine Riard <[email-masked]>
Date: Mon, 25 Aug 2025 00:23:44 +0100

Hi Floppy,

Yeah, I mean it would be nice for the letter signatories to have also
put their code review along their tag names... Most of the time consensus
changes are a bit more complex than "yes" or "no" or "good" vs "evil" and
I do understand the recrimination of my fella bitcoin core hackers on
the nonsense that this kind of letter can lead to...

I do remember the Buck O'Perley comments here [0], that a gathering of all
the technical opinions could be welcome to let the wider community, beyond
the narrow "powwow" of the developers, makes its own opinion on consensus
changes.
In that spirit, in my view it would have been better for each letter
signatory
to explain the technical reasons, trade-offs they see, why they think CTV is
technically solid, etc on their personal blog post or something else...

Anyway, I did concept ACK the BIP119 code branch (for the reasons
explained):
https://github.com/bitcoin/bitcoin/pull/31989#issuecomment-3218427453

I'm not going to die on a hill for CTV to happen, but I won't also won't
die on a hill for CTV _not_ to happen. So officially, I'm in the "bored"
camp of devs on the CTV discussion.

I was there when its original author presented it to the world back in 2019,
and since then and so far I cannot find reasons how CTV is a technical
hazard
for the bitcoin network (see more caveats in my comment). Personally, I'm
not
excited for it, though as a developer engaging in consensus changes, if
there
are enough developers and stakeholders in the ecosystem who wish it, I'm
fine
with it.

Nice, for the IRC meetings, and yes I have memory of the taproot
workshop it was good, I don't think I'll be able to join the IRC
meetings, though if there are transcripts I'll try to keep an eye
on it.

Best,
Antoine
OTS hash: 87dfdb18a8a6abca5a0e4bc8b56da4d11fe0b9bd797fbb02aa8e497377637b98

[0]
https://gnusha.org/pi/bitcoindev/BQjnkZZajHKYBOUFAin8toHgNHhG346VUR4GQx6bSi2ftOuNTK1c1d4LWN4Zmr0tUg2w3xgtIZJSphBORYgWw4PPXq5pGFoZJk2Lx6AokuQ=@protonmail.com/

Le ven. 22 août 2025 à 04:28, /dev /fd0 <[email-masked]> a écrit :

> Hi Antoine,
>
> >  Why the 58 other names on the letter have not spent _their_ _free_ time
> reviewing more CTV code ?
>
> Some of them have reviewed CTV earlier in other pull requests and others
> could be application developers who are interested in the use cases.
>
> > https://github.com/ariard/bitcoin-contracting-primitives-wg (can
> transfer you the repo ownership if you wish so)
>
> Thanks for sharing the link. I found the [taproot workshops][0] repository
> useful as well. I will create a new repository for CTV-CSFS workshops,
> meetings etc. to document everything.
>
> Workshop #1
>
> Time: 28 August 2025 15:00 UTC
> Channel: #ctv-csfs-activation on libera.chat
>
> - Review and understand [BIP 119][1]
> - Create basic CTV transactions on signet
>
> [0]: https://github.com/bitcoinops/taproot-workshop
> [1]: https://github.com/bitcoin/bips/blob/master/bip-0119.mediawiki
>
> /dev/fd0
> floppy disk guy
>
> On Thu, Aug 21, 2025 at 5:37 AM Antoine Riard <[email-masked]>
> wrote:
>
>> Hi Floppy,
>>
>> The call to review CTV has been published Jun. 9.
>>
>> On this letter, I can count ~60 names.
>>
>> Since the time of publication (2 months after), only 5 people have put a
>> code review comment on #31989.
>>
>> Among the 5 people, only 2 were letter signatories (average-gary +
>> stuxto).
>>
>> Why the 58 other names on the letter have not spent _their_ _free_ time
>> reviewing more CTV code ?
>>
>> ...
>>
>> Now, of course anyone is free to patch CTV on top of knot and go to try
>> the activation run with that.
>>
>> Personally, I still think we should aim for more neutral consensus
>> development process...
>>
>> This was the intent with the bitcoin contracting primitives WG, done on
>> an open IRC chan.
>>
>> https://github.com/ariard/bitcoin-contracting-primitives-wg (can
>> transfer you the repo ownership if you wish so)
>>
>> Where rather to present a primitive proposal as a "done deal" from a "pow
>> wow" of experts,
>> the goal was to create a neutral online forum for discussion open to
>> anyone in the world
>> who self-estimate they qualify as an expert on bitcoin consensus...and
>> humbly trying to
>> do better than the mess of the 2015 - 2017 period w.r.t consensus changes.
>>
>> Best,
>> Antoine
>> OTS hash: 0d3c23682b630c9c85288ece8e1acae2f4a3c76254e16e36ccb6ca0fcef2556b
>>
>> Le lundi 18 août 2025 à 15:43:54 UTC+1, /dev /fd0 a écrit :
>>
>>> Hi everyone,
>>>
>>> IRC channel: #ctv-csfs-activation on libera.chat
>>>
>>> I [requested][0] the economic nodes to review different soft fork
>>> proposals and share their opinion on 5 March 2025. Four entries were added
>>> to the [wiki][1] and nobody has any objections to the proposals. Some
>>> organizations do not want to publicly participate in this process to avoid
>>> politics and drama.
>>>
>>> A [letter][2] was signed on 9 June 2025 by bitcoin developers to get
>>> more core contributors involved in the review process. It was followed by a
>>> [proposal][3] that makes a few changes to CHECKTEMPLATEVERIFY and combines
>>> it with CHECKSIGFROMSTACK. Personally, I don't like that TEMPLATEHASH is
>>> restricted to taproot and don't see anything wrong with
>>> CHECKTEMPLATEVERIFY. However, other developers may disagree with me and
>>> have different opinion. I have created an IRC channel for workshops,
>>> meetings, activation, etc.
>>>
>>> We can finalize a meeting schedule so we can use the IRC channel to move
>>> closer to covenants activation on bitcoin.
>>>
>>> I think BIP 8 would be a better option for the next soft fork.
>>> [Previously][4], some suggestions were [rejected][5] because knots was not
>>> used by a large number of users. However, things have changed since then
>>> and [~15%][6] of nodes use knots for bitcoin.
>>>
>>> [0]: https://groups.google.com/g/bitcoindev/c/kd8g8V1NVOY/m/nE2y5V66AQAJ
>>> [1]: https://en.bitcoin.it/wiki/Covenants_support
>>> [2]: https://ctv-csfs.com/
>>> [3]: https://groups.google.com/g/bitcoindev/c/5wLThgegha4/m/iUWIZPIaCAAJ
>>> [4]:
>>> https://gnusha.org/pi/bitcoindev/[email-masked]/
>>> <https://gnusha.org/pi/bitcoindev/[email-masked]/>
>>> [5]:
>>> https://diyhpl.us/cgit/pi-bitcoindev/plain/cc/877bbc8de83e7aa4d2252a0473d05d634946b4/dev/fd0
>>> [6]: https://bitnodes.io/nodes/?q=knots#network-snapshot
>>>
>>> /dev/fd0
>>> floppy disk guy
>>>
>> --
>> You received this message because you are subscribed to the Google Groups
>> "Bitcoin Development Mailing List" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to [email-masked].
>> To view this discussion visit
>> https://groups.google.com/d/msgid/bitcoindev/e0a46b30-e633-4f38-b737-a5f1973da901n%40googlegroups.com
>> <https://groups.google.com/d/msgid/bitcoindev/e0a46b30-e633-4f38-b737-a5f1973da901n%40googlegroups.com?utm_medium=email&utm_source=footer>
>> .
>>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CALZpt%2BHT7xV-DuTZSfF7JZQ_dmqc91iZN%3DhKPZ6mp5oQkNiD2Q%40mail.gmail.com.